library(shipunov)

aa <- read.table("../../../data/buxineae_dna.txt", sep="\t", h=T, as.is=T, quote="")
aa <- aa[, c("SOURCE", "SPECIES.NEW")]
(tt <- t(table(aa)) > 0)
our <- (tt[, "MISU"] + tt[, "Floden"]) > 0
their <- (tt[, "GENBANK"] + tt[, "BOLD"]) > 0
(tt2 <- cbind(their, our))
sum(rowSums(tt2) == 1 & our) + 1 # Haptanthus
sum(rowSums(tt2) == 1 & their) - 1 # Haptanthus
nrow(tt2)

unique.our <- row.names(tt2)[!tt2[, "their"] & tt2[, "our"]]
write.table(unique.our, row.names=FALSE, col.names=FALSE, quote=FALSE, file="data/our_species.txt")
