library(shipunov)

aa <- read.table("../../data/buxineae_dna.txt", sep="\t", h=T, as.is=T, quote="")
aa <- aa[aa$SOURCE == "MISU", ]
aa <- aa[order(aa$FRAGMENT, aa$SPECIES.NEW), ]
aa <- aa[aa$SELECT == 1, ]
ii <- apply(aa[, c("FRAGMENT", "SPECIES.NEW")], 1, function(.x) paste0(.x, collapse="_"))
dd <- aa[Alldups(ii), c("FRAGMENT", "SPECIES.NEW", "SEQUENCE.ID", "SEQUENCE")]
id <- apply(dd[, 1:3], 1, function(.x) paste0(.x, collapse="_"))
id <- gsub(" ", "_", id)

Write.fasta(data.frame(id, dd$SEQUENCE), file="05_deduplicate/deduplicate.fasta")