library(shipunov)

dna <- structure(vector("list", 5), names=c("its", "rbcl", "trnl", "matk", "petd"))

setwd("31_alignments_trimmed")

for (f in names(dna)) {
cat(f, "\n")
dna[[f]] <- Read.fasta(paste0(f, ".fasta"))
gc <- Gap.code(dna[[f]]$sequence)
dna[[f]]$sequence <- apply(cbind(dna[[f]]$sequence, gc), 1, paste, collapse="")
Write.fasta(dna[[f]], file=paste0("../32_alignments_trimmed_gapcoded/", f, ".fasta"))
}
